Home » Support » API Documentation

CEMBooks API Instructions

CEMBooks V2
Version 2.5
3/5/2023

API Description:

The information below describes the Application Programming Interface (API) that the 3rd party system should create to send data from internal systems to CEMBooks.

Please arrange a session with CEMBooks, we will bring the implementation and development teams to answer any questions.

There is no need for CEMBooks to write new code when integrating a new partner. However, we will need to add some settings to allow delivery of the incoming API call and supply you with a key to use for the communication.

Example API CAll:

In this example two events are being sent to CEMBooks from a single organisation. Both events have come from the same source system and relate to the same department within the organisation.

The message contains a top section which includes the url data should be sent to which is http://18.130.245.115/symphony/api/v1/kpi-event/
And a unique api-key which will be issued from CB dev team.

The message script following -d is the data being sent. In this example there are 2 events

curl -X POST \ http://18.130.245.115/symphony/api/v1/kpi-event/ \
-H 'Content-Type: application/json' \
-H 'cache-control: no-cache,no-cache' \
-H 'x-api-key: <YOUR API KEY>' \
-d '[
{
"datasource": "datasource-system",
"dataPoint": "description-of-data-being-sent","value":
"numerical-value-mapped-from-provider-system",
"departmentId": "my-dept",
"organizationId": "my-org",
},
{
"datasource": "datasource-system",
"dataPoint": "description-of-data-being sent","value":
"numerical-value-mapped-from-provider-system",
"departmentId": "department",
"organizationId": "organization",
}
]'
VariableDefinitionExample
YOUR API KEYUnique API Key provided by CEMBooks to customers, allows CEMBooks to recognise and validate inbound messageweorih876erfre86giihej
rf78687erfDFde879
datasource-systemCEMBooks customer system from where data has been mapped into the message being sent to CEMBooks.Cerner
Symphony
Yorkshire-Ambulance-Service
PAS
TQuest-lab-system
description-of-data-bei
ng-sent
Text that describes the datapoint being sent.
This will be surfaced within the CEMBooks system to allow administrators to map the datapoint to a sitrep / KPI.
ED-number-of-patients
-waiting-for-clinician
Longest-time-for-ambul
ance-handover-minutes
Number-of-lab-samples
-processed-today
numerical-value-mapped-from-provider-systemNumerical payload / value being sent into CEMBooks that will be shown in the system.34
13
1456
organizationCEMBooks Customer Organisation data is intended forLeeds-General-Infirmary
Royal-Orthopaedic-Hospital
departmentDepartment within the organisation the datapoint pertains toEmergency-Department
Elective-preadmissionunit
ChemPath

Version history

– First released version, 8/6/2021
– 2.2 Organization added to the json schema. 7/10/2022
– 2.3 Glossary for API terms added 28/03/2023
– 2.4 Glossary for API terms refined added 4/04/2023
– 2.5 Reformatting 3/5/2023

Want to know more about how CEMBooks could help you?

Get a comprehensive demo from our CEMBooks experts or ask us a question.

Get in touch